Subject: bug#31745: 回复： bug#31745: 回复：回复：Re: 回复：bug#31745: Frame's bug whenwindow-system

From: martin rudalics <[email-masked]>
Date: Sat, 23 Jun 2018 10:40:30 +0200

> So when everything kinda works:
[...]
 > So we start small, go big, then go small again, but the end result,
 > even though it looks correct, is actually wrong:
 >
 > (frame-parameter nil 'height)
 > 36
 > (frame-parameter nil 'width)
 > 80
 >
 > Although I asked for:
 >
 > (add-to-list 'default-frame-alist '(width . 130))
 > (add-to-list 'default-frame-alist '(height . 56))
 >
 > in the .el Iʼm loading.

Isn't "when everything kinda works" the end result "is actually wrong"
somehow contradictory?  I think you mean to say that the end result is
consistent but fails to process the values you specified.

 > When it doesnʼt work:
[...]
 > we start big, go small, and stay small. The frame is actually the same
 > size as previous, but emacs' state is messed up:
 >
 > (frame-parameter nil 'height)
 > 56
 > (frame-parameter nil 'width)
 > 130

This means that you get the expected values for the parameters but the
frame itself has the wrong sizes?

What did you use to produce this and does it only happen with scaling?
I still do not understand the nature of this bug in the first place.

martin